
Core - Bug # 54394

Status: Resolved Priority: Must have
Author: Dragan Tomic Category: Backend API
Created: 2013-12-13 Assigned To:
Updated: 2014-03-26 Due date:
TYPO3 Version: 6.1
PHP Version:
Complexity: no-brainer
Is Regression: No
Sprint Focus:
Subject: Editing templavoila Template Objects not working
Description

You can not edit templavoila Template Object if his  preview icon is missing!

Related issues:
related to Core - Task # 50827: Introduce handling of missing files Resolved 2013-08-06

Associated revisions
Revision 2b5c50e3 - 2014-03-26 21:51 - Markus Klein

[BUGFIX] Exception if thumbnail does not exist

BackendUtility::thumbCode() tries to retrieve the extension
of a file object that might be NULL.

Add a check for having a valid file object.

Resolves: #54394
Releases: 6.1
Change-Id: Ia97fbb5fd3d9bd53c0d776a93969f9d059eebc4a
Reviewed-on: https://review.typo3.org/26446
Reviewed-by: Oliver Klee
Reviewed-by: Stefan Neufeind
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2013-12-13 15:01 - Dragan Tomic

You can not edit templavoila Template Object if his preview icon is missing!
Bug is in TYPO3\CMS\Backend\Utility\BackendUtility -> thumbCode() method.

In this part, if you don't get a file (file is missing) next line is trying to read File extension and throws an error!

$fileName = trim($uploaddir . '/' . $theFile, '/');
$fileObject = \TYPO3\CMS\Core\Resource\ResourceFactory::getInstance()->retrieveFileOrFolderObject($fileName);//if file is missing fileObject is
empty
$fileExtension = $fileObject->getExtension(); // and this throws exception
Just need to double check if $fileObject is empty and then go further.

if($fileObject) {
    $fileExtension = $fileObject->getExtension();
    .......
}

Bug found in versions: 6.1.4-dev and 6.1.5

#2 - 2013-12-16 11:00 - Markus Klein
- Category changed from Backend User Interface to Backend API
- Target version set to next-patchlevel

This is fixed in 6.2, but definitely missing in 6.1!

#3 - 2013-12-16 11:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26446

#4 - 2014-01-09 14:03 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26446

#5 - 2014-01-10 10:52 - Gerrit Code Review

Patch set 3 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26446

#6 - 2014-03-26 22:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2b5c50e34b6fea3910964ed873a5fcc7c175841c.
